# Get shipment rates Get Rates for the shipment information associated with the shipment ID Endpoint: GET /v2/shipments/{shipment_id}/rates Version: 2.0.0 Security: api_keys ## Path parameters: - `shipment_id` (string, required) Shipment ID Example: "se-28529731" ## Query parameters: - `created_at_start` (string) Used to create a filter for when a resource was created (ex. A shipment that was created after a certain time) Example: "2019-03-12T19:24:13.657Z" ## Response 200 fields (application/json): - `rates` (array, required) An array of shipment rates - `rates.rate_id` (string, required) A string that uniquely identifies the rate Example: "se-28529731" - `rates.rate_type` (string, required) The possible rate type values Enum: "check", "shipment" - `rates.carrier_id` (string, required) A string that uniquely identifies the carrier Example: "se-28529731" - `rates.shipping_amount` (object, required) The shipping amount. Should be added with confirmation_amount, insurance_amount and other_amount to calculate the total purchase price. - `rates.shipping_amount.currency` (string, required) Currency code - `rates.shipping_amount.amount` (number, required) The monetary amount, in the specified currency. Example: 12 - `rates.insurance_amount` (object, required) The insurance amount. Should be added with shipping_amount, confirmation_amount and other_amount to calculate the total purchase price. - `rates.confirmation_amount` (object, required) The confirmation amount. Should be added with shipping_amount, insurance_amount and other_amount to calculate the total purchase price. - `rates.other_amount` (object, required) Any other charges associated with this rate. Should be added with shipping_amount, insurance_amount and confirmation_amount to calculate the total purchase price. - `rates.requested_comparison_amount` (object) The total shipping cost for the specified comparison_rate_type. - `rates.tax_amount` (object) Tariff and additional taxes associated with an international shipment. - `rates.zone` (integer,null, required) Certain carriers base [their rates](https://blog.stamps.com/2017/09/08/usps-postal-zones/) off of custom zones that vary depending upon the ship_to and ship_from location Example: 6 - `rates.package_type` (string,null, required) package type that this rate was estimated for Example: "package" - `rates.delivery_days` (integer) The number of days estimated for delivery, this will show the _actual_ delivery time if for example, the package gets shipped on a Friday Example: 5 - `rates.guaranteed_service` (boolean, required) Indicates if the rate is guaranteed. Example: true - `rates.estimated_delivery_date` (string) An [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) string that represents a date, but not a specific time. The value _may_ contain a time component, but it will be set to 00:00:00 UTC by ShipStation . Example: "2018-09-23T00:00:00Z" - `rates.carrier_delivery_days` (string) The carrier delivery days Example: "22" - `rates.ship_date` (string) ship date Example: "2024-10-22T00:00:00Z" - `rates.negotiated_rate` (boolean, required) Indicates if the rates been negotiated Example: true - `rates.service_type` (string, required) service type Example: "next_day" - `rates.service_code` (string, required) service code for the rate Example: "usps_priority_mail_express" - `rates.trackable` (boolean, required) Indicates if rate is trackable Example: true - `rates.carrier_code` (string, required) carrier code Example: "stamps_com" - `rates.carrier_nickname` (string, required) carrier nickname Example: "Free" - `rates.carrier_friendly_name` (string, required) carrier friendly name Example: "free" - `rates.validation_status` (string, required) The possible validation status values Enum: "valid", "invalid", "has_warnings", "unknown" - `rates.warning_messages` (array, required) The warning messages - `rates.error_messages` (array, required) The error messages - `invalid_rates` (array, required) An array of invalid shipment rates - `rate_request_id` (string, required) A string that uniquely identifies the rate request Example: "se-28529731" - `shipment_id` (string, required) A string that uniquely identifies the shipment Example: "se-28529731" - `created_at` (string, required) When the rate was created Example: "se-28529731" - `status` (string, required) The possible rate response status values Enum: "working", "completed", "partial", "error" - `errors` (array, required) - `errors.error_source` (string, required) The source of the error, as indicated by the name this informs us if the API call failed because of the carrier, the order source, or the ShipStation API itself. Enum: "carrier", "order_source", "ShipStation" - `errors.error_type` (string, required) The type of error Enum: "account_status", "business_rules", "validation", "security", "system", "integrations" - `errors.error_code` (string, required) The error code specified for the failed API Call Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned" - `errors.message` (string, required) An error message associated with the failed API call Example: "Body of request cannot be null." - `errors.field_name` (string) The name of the field that caused the error (only present for validation errors) Example: "inventory_warehouse_id" - `errors.field_value` (string) The invalid value that was provided for the field (only present for validation errors) Example: "invalid-id" ## Response 400 fields (application/json): - `request_id` (string, required) A UUID that uniquely identifies the request id. This can be given to the support team to help debug non-trivial issues that may occur Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009" - `errors` (array, required) The errors associated with the failed API call - `errors.error_source` (string, required) The source of the error, as indicated by the name this informs us if the API call failed because of the carrier, the order source, or the ShipStation API itself. Enum: "carrier", "order_source", "ShipStation" - `errors.error_type` (string, required) The type of error Enum: "account_status", "business_rules", "validation", "security", "system", "integrations" - `errors.error_code` (string, required) The error code specified for the failed API Call Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned" - `errors.message` (string, required) An error message associated with the failed API call Example: "Body of request cannot be null." - `errors.field_name` (string) The name of the field that caused the error (only present for validation errors) Example: "inventory_warehouse_id" - `errors.field_value` (string) The invalid value that was provided for the field (only present for validation errors) Example: "invalid-id" ## Response 404 fields (application/json): - `request_id` (string, required) A UUID that uniquely identifies the request id. This can be given to the support team to help debug non-trivial issues that may occur Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009" - `errors` (array, required) The errors associated with the failed API call - `errors.error_source` (string, required) The source of the error, as indicated by the name this informs us if the API call failed because of the carrier, the order source, or the ShipStation API itself. Enum: "carrier", "order_source", "ShipStation" - `errors.error_type` (string, required) The type of error Enum: "account_status", "business_rules", "validation", "security", "system", "integrations" - `errors.error_code` (string, required) The error code specified for the failed API Call Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned" - `errors.message` (string, required) An error message associated with the failed API call Example: "Body of request cannot be null." - `errors.field_name` (string) The name of the field that caused the error (only present for validation errors) Example: "inventory_warehouse_id" - `errors.field_value` (string) The invalid value that was provided for the field (only present for validation errors) Example: "invalid-id"